#include "stdafx.h"
#include "EvalAllOff.h"

// MGEvalAllOff

MGEvalAllOff::MGEvalAllOff(fugenDoc* pDoc)
: MGCommandBase(pDoc, ID_EVAL_ALL_OFF){
}

MGCommandBase* MGEvalAllOff::initial_clone(fugenDoc* pDoc)const{
	return new MGEvalAllOff(pDoc);
}

bool MGEvalAllOff::initiate_tool(){
	MGCommandBase::initiate_tool();
	document()->DeleteDisplayList();
	return OnCommandEnd(1);
}
